Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpErlangObject.Hash

    java.lang.Object
      com.ericsson.otp.erlang.OtpErlangObject.Hash

Enclosing class:
  OtpErlangObject

    protected static final class OtpErlangObject.Hash

extends java.lang.Object

Constructor Summary
`protected` | `OtpErlangObject.Hash(int i)`

Method Summary
`protected void` | `combine(byte[] b)`
`protected void` | `combine(int a)`
`protected void` | `combine(int a, int b)`
`protected void` | `combine(long a)`
`protected int` | `valueOf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtpErlangObject.Hash

    protected OtpErlangObject.Hash(int i)

Method Detail

### combine

    protected void combine(int a)

### combine

    protected void combine(long a)

### combine

    protected void combine(int a,
                           int b)

### combine

    protected void combine(byte[] b)

### valueOf

    protected int valueOf()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD